UpdateAuthorizationPolicy
Updates the authorization policy for a given tenant.
PATCH
/
v1
/
namespaces
/
{object.tenant_meta.namespace}
/
authorization-policies
UpdateAuthorizationPolicy
curl --request PATCH \
--url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/authorization-policies \
--header 'Content-Type: application/json' \
--data '
{
"object": {
"propagate": true,
"tenant_meta": {}
},
"request": {
"force": true,
"update_mask": "<string>"
}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/authorization-policies"
payload = {
"object": {
"propagate": True,
"tenant_meta": {}
},
"request": {
"force": True,
"update_mask": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
object: {propagate: true, tenant_meta: {}},
request: {force: true, update_mask: '<string>'}
})
};
fetch('https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/authorization-policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"clause": [
"<string>"
],
"permissions": {
"except_resources": [
"<string>"
],
"roles": [
"SYSTEM_ROLE_UNSPECIFIED"
],
"rules": {}
},
"propagate": true,
"target_namespaces": [
"<string>"
],
"expiration_time": "2023-11-07T05:31:56Z",
"is_support_policy": true
},
"tenant_meta": {
"namespace": "<string>"
},
"propagate": true,
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
Body
application/json
Response
A successful response.
Represents an authorization policy in the system.
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Tenant related data for the tenant containing the resource.
Show child attributes
Show child attributes
Indicates that the object should be visible in the child namespaces.
The UUID of the AuthorizationPolicy resource.
Was this page helpful?
⌘I
UpdateAuthorizationPolicy
